## cgal 4.14

=== debian/changelog ===
cgal (4.14-5) unstable; urgency=medium

  * Strip -ffile-prefix-map=... and -fmacro-prefix-map=... from
    CGALConfig.cmake to avoid false positives in reproducible builds report.

 -- Joachim Reichel <reichel@debian.org>  Sat, 24 Aug 2019 14:19:03 +0200

cgal (4.14-4) unstable; urgency=medium

  * Add version constraint for libCGAL_ImageIO in libcgal13.shlibs.
    Thanks to Drew Parsons (Closes: #934179).

 -- Joachim Reichel <reichel@debian.org>  Thu, 08 Aug 2019 18:45:45 +0200

cgal (4.14-3) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.4.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 27 Jul 2019 10:39:40 +0200

cgal (4.14-2) experimental; urgency=medium

  * Fix stripping of -fdebug-prefix-map=... on non-amd64 architectures.

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 20:33:09 +0100

cgal (4.14-1) experimental; urgency=medium

  * New upstream release.
  * Rename binary package libcgal-qt5-13 to libcgal-qt5-14 to reflect
    SONAME change.
  * Add Rules-Requires-Root: no to debian/control.
  * Strip -fdebug-prefix-map=... from CGALConfig.cmake to avoid false
    positives in reproducible builds report.
  * Update Standards-Version to 4.3.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 18:23:00 +0100

=== debian/control ===
Source: cgal
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends: debhelper (>= 11), dpkg-awk, tar (>= 1.28), cmake, zlib1g-dev,
 libboost-dev, libboost-thread-dev, libboost-program-options-dev,
 libboost-system-dev, libeigen3-dev, libgmp10-dev, libmpfr-dev,
 libglu1-mesa-dev, qtbase5-dev [!armel !armhf],
 libqt5opengl5-dev [!armel !armhf], libqt5svg5-dev [!armel !armhf],
 libipe-dev (>= 7), ipe
Standards-Version: 4.4.0
Section: libs
Rules-Requires-Root: no
Homepage: http://www.cgal.org/

Package: libcgal13
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains the main library libCGAL.so as well as two support
 libraries libCGAL_Core.so (from the CORE project) and libCGAL_ImageIO.so
 (image I/O). The library libCGAL_Qt5.so used for visualization in demos
 can be found in the package libcgal-qt5-13.

Package: libcgal-qt5-14
# actually "Architecture: any [!armel !armhf]" via debhelper
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcgal13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry (support for Qt5)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains libCGAL_Qt5.so used for visualization in demos.

Package: libcgal-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcgal13 (= ${binary:Version}), libboost-dev, libboost-thread-dev,
 libboost-system-dev, libboost-program-options-dev, libgmp10-dev, libmpfr-dev,
 zlib1g-dev, ${misc:Depends}
Suggests: libmpfi-dev, libntl-dev, libtbb-dev
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for libCGAL.so,
 libCGAL_Core.so, and libCGAL_ImageIO.so. The  header files and static
 libraries for libCGAL_Qt5.so can be found in the package libcgal-qt5-dev.

Package: libcgal-qt5-dev
Conflicts: libcgal-qt4-dev
Replaces: libcgal-qt4-dev
Section: libdevel
# actually "Architecture: any [!armel !armhf]" via debhelper
Architecture: any
Multi-Arch: same
Depends: libcgal13 (= ${binary:Version}), libcgal-qt5-14 (= ${binary:Version}),
 libcgal-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt5)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for
 libCGAL_Qt.so.

Package: libcgal-demo
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: libcgal-dev (>= ${binary:Version}), libcgal13 (>= ${binary:Version}),
 ${misc:Depends}
Recommends: libcgal-qt5-dev (>= ${binary:Version}), libcgal-qt5-14 (>= ${binary:Version})
Suggests: libeigen3-dev (>= 3.1.0~beta1-1), libmpfi-dev, libntl-dev,
 libtbb-dev, qtscript5-dev, qttools5-dev, qttools5-dev-tools,
 libqt5opengl5-dev, libqt5svg5-dev, libqt5sql5-sqlite, libglew-dev,
 libipe-dev (>= 7), libmagick++-dev, liblapack-dev,
 geomview, libatlas-base-dev, gfortran, cimg-dev, libsuitesparse-dev
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: libcgal13 (>= ${binary:Version}), ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcgal5-ipelets
Replaces: libcgal5-ipelets
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# See http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CFLAGS   := $(CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(CXXFLAGS) $(CPPFLAGS)

# The build system links all four libraries against all dependencies.
LDFLAGS  += -Wl,--as-needed

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_ARCH),alpha)
export TESTS_IEEE_FPU_OPTION = -mieee -mfp-rounding-mode=d
endif

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

OPENGL_ES_ARCHITECTURES := armel armhf
ifneq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
  DEBHELPER_QT5 := -Nlibcgal-qt5-14 -Nlibcgal-qt5-dev
	CMAKE_QT5 := -DWITH_CGAL_Qt5=OFF
endif

%:
	dh $@ $(DEBHELPER_QT5)

override_dh_auto_clean:
	dh_auto_clean $(DEBHELPER_QT5)
	rm -fr shared static
	$(MAKE) -C debian/tests clean

override_dh_auto_configure-arch:
	# fail early if SOVERSION changes
	grep -q "CGAL_SONAME_VERSION *\"13\"" CMakeLists.txt
	grep -q "CGAL_Qt5_SONAME_VERSION *\"14\"" CMakeLists.txt

	QTDIR= dh_auto_configure --builddirectory=static -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_GMPXX=ON -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_ENABLE_PRECONFIG=OFF -DBUILD_SHARED_LIBS=FALSE \
	  -DCGAL_INSTALL_LIB_DIR=lib/$(DEB_HOST_MULTIARCH) \
	  -DCGAL_INSTALL_CMAKE_DIR=lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL $(CMAKE_QT5)
	QTDIR= dh_auto_configure --builddirectory=shared -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_GMPXX=ON -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_ENABLE_PRECONFIG=OFF -DBUILD_SHARED_LIBS=TRUE -DCMAKE_SKIP_RPATH=TRUE \
	  -DCGAL_INSTALL_LIB_DIR=lib/$(DEB_HOST_MULTIARCH) \
	  -DCGAL_INSTALL_CMAKE_DIR=lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL $(CMAKE_QT5)
	QTDIR= dh_auto_configure --builddirectory=shared/demo/CGAL_ipelets --sourcedirectory=demo/CGAL_ipelets -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCGAL_DIR=$(CURDIR)/shared

override_dh_auto_configure-indep:
	# empty

override_dh_auto_build-arch:
	$(MAKE) $(NJOBS) -C static
	$(MAKE) $(NJOBS) -C shared
	$(MAKE) $(NJOBS) -C shared/demo/CGAL_ipelets

override_dh_auto_build-indep:
	# empty

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/tests rounding_modes_simple
	debian/tests/rounding_modes_simple
	$(MAKE) -C debian/tests rounding_math_simple
	debian/tests/rounding_math_simple
	$(MAKE) -C debian/tests rounding_modes_cgal
	LD_LIBRARY_PATH=shared/lib debian/tests/rounding_modes_cgal
	$(MAKE) -C debian/tests rounding_math_cgal
	LD_LIBRARY_PATH=shared/lib debian/tests/rounding_math_cgal
endif

override_dh_auto_test-indep:
	# empty

override_dh_install-arch:
	# install files into debian/tmp
	$(MAKE) -C static DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C shared DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C shared/demo/CGAL_ipelets DESTDIR=$(CURDIR)/debian/tmp install

	# move generated header into multiarch directory
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/CGAL
	mv debian/tmp/usr/include/CGAL/compiler_config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/CGAL

	# remove -fdebug-prefix-map, -ffile-prefix-map, and -fmacro-prefix-map settings
  # from CGALConfig.cmake to avoid false positives in reproducible builds report
	sed -i 's/-f\(debug\|file\|macro\)-prefix-map=[^ ]* //' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGALConfig.cmake

	# do not install architecture-dependent FindCGAL.cmake anymore, apparently
	# not really needed.
	# mkdir -p debian/tmp/usr/share/cmake-2.8/Modules
	# cp cmake/modules/FindCGAL.cmake debian/tmp/usr/share/cmake-2.8/Modules

	# tweak installed documentation files
	mv debian/tmp/usr/share/doc/CGAL-`cat VERSION` debian/tmp/usr/share/doc/cgal
	mv debian/tmp/usr/share/doc/cgal/CHANGES.md debian/tmp/usr/share/doc/cgal/changelog
	rm debian/tmp/usr/share/doc/cgal/LICENSE*
	rm debian/tmp/usr/share/doc/cgal/AUTHORS

	# remove irrelevant binary
	rm debian/tmp/usr/bin/cgal_make_macosx_app

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

	# move Qt header and cmake files into libcgal-qt5-dev package
ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	mkdir -p  debian/libcgal-qt5-dev/usr/include/CGAL
	mv debian/libcgal-dev/usr/include/CGAL/Qt debian/libcgal-qt5-dev/usr/include/CGAL
	mkdir -p debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
	mv debian/libcgal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGAL_Qt5* debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
else
	rm -r debian/libcgal-dev/usr/include/CGAL/Qt
endif

	# create symlinks to /usr/share/doc/libcgal13
	mkdir -p debian/libcgal-dev/usr/share/doc
	ln -s libcgal13 debian/libcgal-dev/usr/share/doc/libcgal-dev
	mkdir -p debian/libcgal-ipelets/usr/share/doc
	ln -s libcgal13 debian/libcgal-ipelets/usr/share/doc/libcgal-ipelets
ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	mkdir -p debian/libcgal-qt5-14/usr/share/doc
	ln -s libcgal13 debian/libcgal-qt5-14/usr/share/doc/libcgal-qt5-14
	mkdir -p debian/libcgal-qt5-dev/usr/share/doc
	ln -s libcgal13 debian/libcgal-qt5-dev/usr/share/doc/libcgal-qt5-dev
endif

override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/cgal
	chmod -R u=rwX,g=rX,o=rX demo examples
	tar cf - --sort=name demo | gzip --no-name --best >debian/tmp/usr/share/doc/cgal/demo.tar.gz
	tar cf - --sort=name examples | gzip --no-name --best >debian/tmp/usr/share/doc/cgal/examples.tar.gz

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

	mkdir -p debian/libcgal-demo/usr/share/doc
	ln -s libcgal13 debian/libcgal-demo/usr/share/doc/libcgal-demo

override_dh_installdocs:
	dh_installdocs -plibcgal13 debian/copyright debian/NEWS.Debian

override_dh_installchangelogs:
	dh_installchangelogs -plibcgal13

override_dh_gencontrol:
	dh_gencontrol -- -VIpe-Version=`dpkg-awk 'Package:^ipe$$' -- Version | grep Version | sed 's/Version: //;s/-[^-]*$$//'`

## cgal 5.0

=== demo/Polyhedron/Plugins/IO/CMakeLists.txt ===
include( polyhedron_demo_macros )

polyhedron_demo_plugin(gocad_plugin GOCAD_io_plugin KEYWORDS IO)
target_link_libraries(gocad_plugin PUBLIC scene_surface_mesh_item)

qt5_wrap_ui( funcUI_FILES Function_dialog.ui )
polyhedron_demo_plugin(io_implicit_function_plugin Implicit_function_io_plugin ${funcUI_FILES} KEYWORDS IO Mesh_3)
target_link_libraries(io_implicit_function_plugin PUBLIC scene_implicit_function_item)

polyhedron_demo_plugin(nef_io_plugin Nef_io_plugin KEYWORDS IO)
target_link_libraries(nef_io_plugin PUBLIC scene_nef_polyhedron_item)

polyhedron_demo_plugin(off_plugin OFF_io_plugin KEYWORDS IO Mesh_3 PointSetProcessing Classification PMP)
target_link_libraries(off_plugin PUBLIC scene_polygon_soup_item scene_points_with_normal_item scene_surface_mesh_item)

polyhedron_demo_plugin(off_to_nef_plugin OFF_to_nef_io_plugin KEYWORDS IO)
target_link_libraries(off_to_nef_plugin PUBLIC scene_nef_polyhedron_item)

polyhedron_demo_plugin(polylines_io_plugin Polylines_io_plugin KEYWORDS IO Mesh_3)
target_link_libraries(polylines_io_plugin PUBLIC scene_polylines_item)

polyhedron_demo_plugin(stl_plugin STL_io_plugin KEYWORDS IO PMP)
target_link_libraries(stl_plugin PUBLIC scene_surface_mesh_item scene_polygon_soup_item)


polyhedron_demo_plugin(surf_io_plugin Surf_io_plugin KEYWORDS IO PMP)
target_link_libraries(surf_io_plugin PUBLIC scene_surface_mesh_item)

polyhedron_demo_plugin(lcc_io_plugin lcc_io_plugin KEYWORDS IO)
target_link_libraries(lcc_io_plugin PUBLIC scene_lcc_item)


find_package(VTK QUIET COMPONENTS
  vtkCommonCore vtkIOCore vtkIOLegacy vtkIOXML vtkFiltersCore vtkFiltersSources)
if (VTK_FOUND)
  if(VTK_USE_FILE)
    include(${VTK_USE_FILE})
  endif()
  if ("${VTK_VERSION_MAJOR}" GREATER "5" OR VTK_VERSION VERSION_GREATER 5)
    if(TARGET VTK::CommonCore)
      set(VTK_LIBRARIES VTK::CommonCore VTK::IOCore VTK::IOLegacy VTK::IOXML VTK::FiltersCore VTK::FiltersSources)
    endif()
    if(VTK_LIBRARIES)
      polyhedron_demo_plugin(vtk_plugin VTK_io_plugin KEYWORDS IO Mesh_3)
      target_link_libraries(vtk_plugin PUBLIC scene_surface_mesh_item scene_polylines_item scene_c3t3_item scene_points_with_normal_item
                                       ${VTK_LIBRARIES})

    else()
      message(STATUS "NOTICE : the vtk IO plugin needs VTK libraries and will not be compiled.")
    endif()
  else()
    message(STATUS "NOTICE : the vtk IO plugin needs VTK 6.0 or greater and will not be compiled (incorrect version found).")
  endif()
else()
  message(STATUS "NOTICE : the vtk IO plugin needs VTK 6.0 or greater and will not be compiled.")
endif()
polyhedron_demo_plugin(xyz_plugin XYZ_io_plugin KEYWORDS IO PointSetProcessing Classification)
target_link_libraries(xyz_plugin PUBLIC scene_points_with_normal_item)

list(FIND CMAKE_CXX_COMPILE_FEATURES cxx_rvalue_references has_cxx_rvalues)
list(FIND CMAKE_CXX_COMPILE_FEATURES cxx_variadic_templates has_cxx_variadic)

if(has_cxx_rvalues LESS 0 OR has_cxx_variadic LESS 0)
  message(STATUS "NOTICE : LAS/PLY IO examples require a C++11 compiler and will not be compiled.")
else()
  set(needed_cxx_features cxx_rvalue_references cxx_variadic_templates)
  
  polyhedron_demo_plugin(ply_plugin PLY_io_plugin KEYWORDS IO PointSetProcessing Classification PMP)
  target_link_libraries(ply_plugin PUBLIC scene_points_with_normal_item scene_polygon_soup_item scene_surface_mesh_item scene_textured_item)
  target_compile_features(ply_plugin PRIVATE ${needed_cxx_features})
  
  if (LASLIB_FOUND)
    polyhedron_demo_plugin(las_plugin LAS_io_plugin KEYWORDS IO PointSetProcessing Classification)
    target_link_libraries(las_plugin PUBLIC scene_points_with_normal_item ${LASLIB_LIBRARIES})
    target_compile_features(las_plugin PRIVATE ${needed_cxx_features})
  else()
    message(STATUS "NOTICE : the LAS IO plugin needs LAS libraries and will not be compiled.")
  endif()
endif()

find_path(3MF_INCLUDE_DIR
  NAMES Model/COM/NMR_DLLInterfaces.h
  DOC "Path to lib3MF headers"
  )
find_library(3MF_LIBRARIES NAMES 3MF DOC "Path to the lib3MF library")

if(3MF_LIBRARIES AND 3MF_INCLUDE_DIR)
  include_directories(${3MF_INCLUDE_DIR})
  polyhedron_demo_plugin(3mf_io_plugin 3mf_io_plugin KEYWORDS IO PMP)
  target_link_libraries(3mf_io_plugin PRIVATE scene_surface_mesh_item scene_points_with_normal_item scene_polylines_item ${3MF_LIBRARIES})
else()
  message(STATUS "NOTICE : The 3mf_io_plugin requires the lib3MF library, and will not be compiled.")
endif()

=== debian/changelog ===
cgal (5.0-5) unstable; urgency=medium

  * Add patch disable-fpu-rounding-mode-check-for-mipsel-and-mips64el.

 -- Joachim Reichel <reichel@debian.org>  Sat, 07 Dec 2019 14:33:54 +0100

cgal (5.0-4) unstable; urgency=medium

  * Fix test failure in rounding_modes_cgal.cpp: backup the FPU state at
    the very beginning of main() to prevent failure on mipsel and mips64el.

 -- Joachim Reichel <reichel@debian.org>  Thu, 05 Dec 2019 21:14:01 +0100

cgal (5.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Joachim Reichel <reichel@debian.org>  Tue, 03 Dec 2019 21:59:43 +0100

cgal (5.0-2) experimental; urgency=medium

  * Add libcgal-dev.maintscript to convert the symbolic link
    /usr/share/doc/libcgal-dev into a directory (Closes: #945341).
  * Add patch improve-thirdparty-autodetection.

 -- Joachim Reichel <reichel@debian.org>  Sat, 23 Nov 2019 10:41:42 +0100

cgal (5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #944361).
  * Drop binary packages binary packages libcgal13 and libcgal-qt5-14 due to
    the header-only mode now being the default.
  * Update debian/tests/rounding_modes_cgal.cpp to restore rounding mode
    before exit.
  * Drop TESTS_IEEE_FPU_OPTION variable (does not work anyway).
  * Add lib3mf-dev, libboost-filesystem-dev, libboost-iostreams-dev,
    libboost-serialization-dev, libglpk-dev, libmetis-dev, and libvtk6-dev
    to Suggests: of libcgal-demo.
  * Update Standards-Version to 4.4.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 09 Nov 2019 10:58:26 +0100

=== debian/control ===
Source: cgal
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends: debhelper (>= 11), dpkg-awk, tar (>= 1.28), cmake, zlib1g-dev,
 libboost-dev, libboost-thread-dev, libboost-program-options-dev,
 libboost-system-dev, libeigen3-dev, libgmp10-dev, libmpfr-dev,
 libglu1-mesa-dev, qtbase5-dev [!armel !armhf],
 libqt5opengl5-dev [!armel !armhf], libqt5svg5-dev [!armel !armhf],
 libipe-dev, ipe
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: http://www.cgal.org/

Package: libcgal-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev, libboost-thread-dev, libboost-system-dev,
 libboost-program-options-dev, libgmp10-dev, libmpfr-dev, zlib1g-dev, ${misc:Depends}
Suggests: libmpfi-dev, libntl-dev, libtbb-dev
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains most of the header files. The header files for
 visualization with Qt can be found in the package libcgal-qt5-dev.

Package: libcgal-qt5-dev
Conflicts: libcgal-qt4-dev
Replaces: libcgal-qt4-dev
Section: libdevel
# actually "Architecture: any [!armel !armhf]" via debhelper
Architecture: any
Multi-Arch: same
Depends: libcgal-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt5)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files for visualization with Qt.

Package: libcgal-demo
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: libcgal-dev (>= ${binary:Version}), ${misc:Depends}
Recommends: libcgal-qt5-dev (>= ${binary:Version})
Suggests: cimg-dev, geomview, gfortran, lib3mf-dev, libatlas-base-dev,
 libboost-filesystem-dev, libboost-iostreams-dev, libboost-serialization-dev,
 libeigen3-dev, libglew-dev, libglpk-dev, libglpk-dev, libipe-dev,
 liblapack-dev, libmagick++-dev, libmetis-dev, libmpfi-dev, libntl-dev,
 libopencv-dev, libqt5opengl5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
 libsuitesparse-dev, libtbb-dev, libvtk7-dev, qtscript5-dev, qttools5-dev,
 qttools5-dev-tools, vtk7
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 libcgal-dev (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcgal5-ipelets
Replaces: libcgal5-ipelets
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# See http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CFLAGS   := $(CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(CXXFLAGS) $(CPPFLAGS)

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

OPENGL_ES_ARCHITECTURES := armel armhf
ifneq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
  DEBHELPER_QT5 := -Nlibcgal-qt5-dev
	CMAKE_QT5 := -DWITH_CGAL_Qt5=OFF
endif

%:
	dh $@ $(DEBHELPER_QT5)

override_dh_auto_clean:
	dh_auto_clean $(DEBHELPER_QT5)
	rm -fr build
	$(MAKE) -C debian/tests clean

override_dh_auto_configure-arch:
	QTDIR= dh_auto_configure --builddirectory=build -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_INSTALL_CMAKE_DIR=lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL $(CMAKE_QT5)
	QTDIR= dh_auto_configure --builddirectory=build/demo/CGAL_ipelets --sourcedirectory=demo/CGAL_ipelets -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCGAL_DIR=$(CURDIR)/build

override_dh_auto_configure-indep:
	# empty

override_dh_auto_build-arch:
	$(MAKE) $(NJOBS) -C build
	$(MAKE) $(NJOBS) -C build/demo/CGAL_ipelets

override_dh_auto_build-indep:
	# empty

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/tests rounding_modes_simple
	debian/tests/rounding_modes_simple
	$(MAKE) -C debian/tests rounding_math_simple
	debian/tests/rounding_math_simple
	$(MAKE) -C debian/tests rounding_modes_cgal
	debian/tests/rounding_modes_cgal
endif

override_dh_auto_test-indep:
	# empty

override_dh_install-arch:
	# install files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C build/demo/CGAL_ipelets DESTDIR=$(CURDIR)/debian/tmp install

	# remove -fdebug-prefix-map, -ffile-prefix-map, and -fmacro-prefix-map settings
  # from CGALConfig.cmake to avoid false positives in reproducible builds report
	sed -i 's/-f\(debug\|file\|macro\)-prefix-map=[^ ]* //' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGALConfig.cmake

	# tweak installed documentation files
	mv debian/tmp/usr/share/doc/CGAL-`cat VERSION` debian/tmp/usr/share/doc/cgal
	mv debian/tmp/usr/share/doc/cgal/CHANGES.md debian/tmp/usr/share/doc/cgal/changelog
	rm debian/tmp/usr/share/doc/cgal/LICENSE*
	rm debian/tmp/usr/share/doc/cgal/AUTHORS

	# remove irrelevant binary
	rm debian/tmp/usr/bin/cgal_make_macosx_app

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

	# move Qt header and cmake files into libcgal-qt5-dev package
ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	mkdir -p  debian/libcgal-qt5-dev/usr/include/CGAL
	mv debian/libcgal-dev/usr/include/CGAL/Qt debian/libcgal-qt5-dev/usr/include/CGAL
	mkdir -p debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
	mv debian/libcgal-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL/CGAL_Qt5* debian/libcgal-qt5-dev/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/CGAL
else
	rm -r debian/libcgal-dev/usr/include/CGAL/Qt
endif

	# create symlinks to /usr/share/doc/libcgal-dev
	mkdir -p debian/libcgal-ipelets/usr/share/doc
	ln -s libcgal-dev debian/libcgal-ipelets/usr/share/doc/libcgal-ipelets
ifeq (,$(findstring $(DEB_HOST_ARCH), $(OPENGL_ES_ARCHITECTURES)))
	mkdir -p debian/libcgal-qt5-dev/usr/share/doc
	ln -s libcgal-dev debian/libcgal-qt5-dev/usr/share/doc/libcgal-qt5-dev
endif

override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/cgal
	tar cf - --sort=name --mode u=rwX,g=rX,o=rX --owner root --group root demo | gzip --no-name --best >debian/tmp/usr/share/doc/cgal/demo.tar.gz
	tar cf - --sort=name --mode u=rwX,g=rX,o=rX --owner root --group root examples | gzip --no-name --best >debian/tmp/usr/share/doc/cgal/examples.tar.gz

	dh_install --sourcedir=debian/tmp
	dh_missing --list-missing

	mkdir -p debian/libcgal-demo/usr/share/doc
	ln -s libcgal-dev debian/libcgal-demo/usr/share/doc/libcgal-demo

override_dh_installdocs:
	dh_installdocs -plibcgal-dev debian/copyright debian/NEWS.Debian

override_dh_installchangelogs:
	dh_installchangelogs -plibcgal-dev

override_dh_gencontrol:
	dh_gencontrol -- -VIpe-Version=`dpkg-awk 'Package:^ipe$$' -- Version | grep Version | sed 's/Version: //;s/-[^-]*$$//'`
